﻿using DataAcquisitionCardDemo.Config;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataAcquisitionCardDemo.View
{
    public partial class ConfigForm : Form
    {
        private static ConfigParams configs = MainForm.configs;

        public ConfigForm()
        {
            InitializeComponent();

            TextBoxBindData();
        }

        /// <summary>
        /// 将config数据和输入框绑定
        /// </summary>
        private void TextBoxBindData()
        {
            txtSignalLevel.DataBindings.Add("Text", configs, "SignalLevel");
            txtTriggerLevel.DataBindings.Add("Text", configs, "TriggerLevel");

            txtS1BeforeTriMin.DataBindings.Add("Text", configs.S1.BeforeTri, "Min");
            txtS1BeforeTriMax.DataBindings.Add("Text", configs.S1.BeforeTri, "Max");
            txtS1AfterTriMin.DataBindings.Add("Text", configs.S1.AfterTri, "Min");
            txtS1AfterTriMax.DataBindings.Add("Text", configs.S1.AfterTri, "Max");
            txtS1BeforeOpenMin.DataBindings.Add("Text", configs.S1.BeforeOpen, "Min");
            txtS1BeforeOpenMax.DataBindings.Add("Text", configs.S1.BeforeOpen, "Max");
            txtS1AfterOpenMin.DataBindings.Add("Text", configs.S1.AfterOpen, "Min");
            txtS1AfterOpenMax.DataBindings.Add("Text", configs.S1.AfterOpen, "Max");
            txtS1InitMin.DataBindings.Add("Text", configs.S1.Init, "Min");
            txtS1InitMax.DataBindings.Add("Text", configs.S1.Init, "Max");
            txtS1WholeMin.DataBindings.Add("Text", configs.S1.Whole, "Min");
            txtS1WholeMax.DataBindings.Add("Text", configs.S1.Whole, "Max");

            txtS2BeforeTriMin.DataBindings.Add("Text", configs.S2.BeforeTri, "Min");
            txtS2BeforeTriMax.DataBindings.Add("Text", configs.S2.BeforeTri, "Max");
            txtS2AfterTriMin.DataBindings.Add("Text", configs.S2.AfterTri, "Min");
            txtS2AfterTriMax.DataBindings.Add("Text", configs.S2.AfterTri, "Max");
            txtS2BeforeOpenMin.DataBindings.Add("Text", configs.S2.BeforeOpen, "Min");
            txtS2BeforeOpenMax.DataBindings.Add("Text", configs.S2.BeforeOpen, "Max");
            txtS2AfterOpenMin.DataBindings.Add("Text", configs.S2.AfterOpen, "Min");
            txtS2AfterOpenMax.DataBindings.Add("Text", configs.S2.AfterOpen, "Max");
            txtS2InitMin.DataBindings.Add("Text", configs.S2.Init, "Min");
            txtS2InitMax.DataBindings.Add("Text", configs.S2.Init, "Max");
            txtS2WholeMin.DataBindings.Add("Text", configs.S2.Whole, "Min");
            txtS2WholeMax.DataBindings.Add("Text", configs.S2.Whole, "Max");

            txtSWCloseMin.DataBindings.Add("Text", configs.SWClose, "Min");
            txtSWCloseMax.DataBindings.Add("Text", configs.SWClose, "Max");
            txtSWOpenMin.DataBindings.Add("Text", configs.SWOpen, "Min");
            txtSWOpenMax.DataBindings.Add("Text", configs.SWOpen, "Max");
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            try
            {
                configs.SetToIni();
                MessageBox.Show("设置参数保存成功！");
            }
            catch
            {
                MessageBox.Show("设置参数保存时出错！");
            }
            
        }

        private void ConfigForm_Load(object sender, EventArgs e)
        {

        }
    }
}
